Package com.independentsoft.office.spreadsheet

# Class StringItem

java.lang.Object
com.independentsoft.office.spreadsheet.StringItem

public class StringItem extends Object
The Class StringItem.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StringItem()`
  Instantiates a new string item.
  `StringItem​(Text text)`
  Instantiates a new string item.
  `StringItem​(String text)`
  Instantiates a new string item.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StringItem`
  `clone()`
  `PhoneticProperties`
  `getPhoneticProperties()`
  Gets the phonetic properties.
  `List<PhoneticRun>`
  `getPhoneticRuns()`
  Gets the phonetic text runs (rPh elements), e.g.
  `List<Run>`
  `getRuns()`
  Gets the runs.
  `Text`
  `getText()`
  Gets the text.
  `void`
  `setText​(Text text)`
  Sets the text.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StringItem

    public StringItem()
    Instantiates a new string item.

  - ### StringItem

    public StringItem​(Text text)
    Instantiates a new string item.
    Parameters:
      `text` - the text

  - ### StringItem

    public StringItem​(String text)
    Instantiates a new string item.
    Parameters:
      `text` - the text

- ## Method Details

  - ### clone

    public StringItem clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getPhoneticProperties

    public PhoneticProperties getPhoneticProperties()
    Gets the phonetic properties.
    Returns:
      the phonetic properties

  - ### getText

    public Text getText()
    Gets the text.
    Returns:
      the text

  - ### setText

    public void setText​(Text text)
    Sets the text.
    Parameters:
      `text` - the new text

  - ### getRuns

    public List<Run> getRuns()
    Gets the runs.
    Returns:
      the runs

  - ### getPhoneticRuns

    public List<PhoneticRun> getPhoneticRuns()
    Gets the phonetic text runs (rPh elements), e.g. Japanese furigana.
    Returns:
      the phonetic runs